## bbdb 2.36

=== debian/changelog ===
bbdb (2.36-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Replace emacs24 with emacs25 as a (build)-dependency. Leave emacs24 for backports
    (Closes: #870680).

 -- David Bremner <bremner@debian.org>  Thu, 03 Aug 2017 22:31:54 -0400

bbdb (2.36-4) unstable; urgency=medium

  * engage dh autoreconf, rm ./configure, relax regarding ./configure +x bit
  * updates to debian/README.Debian and debian/README.source
  * remove CVS keyword expansion artifacts
  * add savannah repo pointers to bbdb.texinfo
  * remove PHONY stuff in debian/rules
  * remove stray old-style quasiquote in macro
  * allow emacs24 to satisfy dependencies
  * bump standards version, dh version
  * single debian patch source option

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 24 Feb 2014 12:17:32 +0000

bbdb (2.36-3) unstable; urgency=low
  
  [ Sébastien Villemot ]
  * debian/bbdb.emacsen-install: no longer create /root/.gnupg during
    installation of the package. This is achieved by binding GNUPGHOME to a
    temporary directory during bytecode compilation (Closes: #694417)

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 30 Nov 2012 11:52:46 +0000

bbdb (2.36-2) unstable; urgency=low

  * Update to bbdb-vcard 0.3, which better parses birthdays
  * bump standards version (debian/changelog)
  * bump to dh 8, dh --parallel, dh --with autotools_dev (debian/compat,
    debian/control, debian/rules)
  * rephrase for grammar and Moore's Law (debian/bbdb.emacsen-install)
    (closes: #440192, #540539)

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 12 Dec 2010 14:57:47 +0000

bbdb (2.36-1) unstable; urgency=low

  * New "upstream" release.
  * Look for upstream in github repo (debian/watch)

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 20 Apr 2010 20:18:13 +0100

bbdb (2.35.cvs20080316-7) unstable; urgency=low

  * Update to bbdb-vcard 0.2, which no longer uses convcard
  * Switch to dpkg-source 3.0 (quilt) format
  * Build dependency on texlive-latex-base (closes: #577860)

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 19 Apr 2010 09:59:29 +0100

bbdb (2.35.cvs20080316-6) unstable; urgency=low

  * Update bbdb-vcard
  * Suggest multisync-tools for convcard used (default) by bbdb-vcard
  * Use dpkg-source 1.0 format, as 3.0 (git) cannot handle submodules

 -- Barak A. Pearlmutter <bap@debian.org>  Sat, 27 Mar 2010 10:31:32 +0000

bbdb (2.35.cvs20080316-5) unstable; urgency=low

  * fiddle with info stuff for robustness
  * require emacs at build, avoiding extras install problem (closes: #571686)
  * include bbdb-vcard in bits tarball

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 09 Mar 2010 16:20:16 +0000

bbdb (2.35.cvs20080316-4) unstable; urgency=low

  * prevent debian build-time error when emacs not installed (closes: #571434)
  * rev deb std

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 26 Feb 2010 09:04:09 +0000

bbdb (2.35.cvs20080316-3) unstable; urgency=low

  * chmod +x configure patch, thanks to Kumar Appaiah (closes: #567197)

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 03 Feb 2010 13:43:30 +0000

bbdb (2.35.cvs20080316-2) unstable; urgency=low

  * Misc additional files in bits/
  * Minor packaging tweaks
  * Build dependency for /usr/bin/tex (closes: #560582)

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 27 Dec 2009 20:26:22 -0500

bbdb (2.35.cvs20080316-1) unstable; urgency=low

  * Merge ongoing changes from upstream.  (Closes: #440191)
    - Includes menu commands (Closes: #96300)
    - Fixes lisp/Makefile.in target extras mixing .el .elc  (Closes: #366059)
  * Bring into GIT.
  * Regenerate debian/Makepatch to accommodate upstream changes.
  * Fix RMAIL insinuation in Emacs 23.  (Closes: #556993)
  * Apply bbdb startup patch from Peter S Galbraith.  (Closes: #353937)
  * Correct typo.  (Closes: #488729)
  * Update backquote style in file lisp/bbdb-com.el.  (Closes: #475600)
  * Update Debian packaging.
    - Avoiding double-installing bbdb-pilot-jwz.el file.  (Closes: #557356)
    - Avoiding double-installing .tex files.
    - dh 7.
    - rev deb std.
    - debian/copyright updates: FSF address, common license location, expand.
    - Misc housekeeping and tracking policy.
    - Give debian patch files consistent names and locations.
  * Switch scripts from /usr/bin/bbdb-FOO.pl to /usr/bin/bbdb-FOO.
  * Merge Ununtu patch that symlinks some .el files at emacsen-install time.
  * Include PDF documentation.
  * Add Barak A. Pearlmutter <bap@debian.org> as co-maintainer.

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 01 Dec 2009 22:10:39 -0500

bbdb (2.35.cvs20060204-1.2) unstable; urgency=low

  * NMU with the permission of the maintainer to adjust the dependencies
    to accommodate the removal of emacs21.  Change the emacs21 dependency
    to emacs23 and the emacs21 build dependency to emacs22 or emacs23.
    Thanks to Sven Joachim <svenjoac@gmx.de>.  (Closes: #478799)

 -- Rob Browning <rlb@defaultvalue.org>  Sat, 01 Aug 2009 12:16:02 -0700

bbdb (2.35.cvs20060204-1.1) unstable; urgency=low

  * NMU with the permission of the maintainer.
  * Set coding system when writing .bbdb file to prevent data corruption.
    (Closes: #351778)

 -- Hubert Chan <hubert@uhoreg.ca>  Thu, 13 Apr 2006 15:42:40 +0200

bbdb (2.35.cvs20060204-1) unstable; urgency=low

  * New CVS co
    - Bug fix: "bbdb-news-auto-create-p with 'prompt doesn't work" (Closes: #296577).
  * Bug fix: "bbdb: File error: "Cannot open load file",
    'bbdb-autoloads'" (Closes: #344032, #345186, #345297, #350449, #308336, #279920).
  * Bug fix: "bbdb does not work with gnus-5.10", (works for me [TM]) (Closes: #192904).

 -- Joerg Jaspert <joerg@debian.org>  Sat,  4 Feb 2006 16:32:31 +0100

bbdb (2.35.cvs20040528-1) unstable; urgency=low

  * CVS co - last changes there are from 28.05.2004
  * Bug fix: "fails to load : missing bbdb-vm.el". (Closes: #179821, #180024, #210248, #233904).
  * Removed | emacs20 from Depends. (Closes: #232731)
  * Removed old w3-el-e{20|19} Suggests.

