=== debian/control ===
Source: bbdb
Section: mail
Priority: optional
Maintainer: Joerg Jaspert <joerg@debian.org>
Uploaders: Barak A. Pearlmutter <bap@debian.org>
Build-Depends: debhelper (>= 9),
    dh-autoreconf
Build-Depends-Indep: texinfo, texi2html, ghostscript,
    texlive-base, texlive-latex-base,
    emacs25-nox | emacs25 | emacs24-nox | emacs24 | emacs
Standards-Version: 3.9.5
Vcs-Git: git://github.com/barak/BBDB.git
Vcs-Browser: http://github.com/barak/BBDB
Homepage: http://bbdb.sourceforge.net/

Package: bbdb
Architecture: all
Depends: make, emacs25 | emacs24 | emacsen, ${misc:Depends}, ${perl:Depends}
Suggests: vm, w3m-el, gnuserv, gnus|t-gnus, perl
Description: The Insidious Big Brother Database (email rolodex) for Emacs
 BBDB is a rolodex-like database program for GNU Emacs.  BBDB stands
 for Insidious Big Brother Database, and is not, repeat, *not* an
 obscure reference to the Buck Rogers TV series.
