## bbdb 3.0.1

=== debian/changelog ===
bbdb (3.0.1) unstable; urgency=medium

  * Re-upload to unstable

 -- David Bremner <bremner@debian.org>  Mon, 23 Sep 2019 19:56:11 -0300

bbdb (3.0) experimental; urgency=medium

  * Salvage package (Closes: #901938)
  * Update Vcs-*
  * Convert to dependency package installing bbdb3
  * convert to native package
  * bump version number.
  * switch to debhelper-compat 12
  * bump Standards-Version to 4.4.0. No changes (other than deleting almost
    everything) necessary.

 -- David Bremner <bremner@debian.org>  Sat, 07 Sep 2019 15:40:14 -0300
